Bug 214598 - dbus interface misnamed
dbus interface misnamed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hal-cups-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Desktop
Depends On: 214623
Blocks: 214599
  Show dependency treegraph
 
Reported: 2006-11-08 11:07 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:32:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hal-cups-utils-introspection.patch (693 bytes, patch)
2006-11-08 12:39 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2006-11-08 11:07:20 EST
10-hal_lpadmin.fdi must use the interface name expected by eggcups, which is
org.freedesktop.Hal.Device.Printer, not com.redhat.Hal.Device.Printer
Comment 1 Tim Waugh 2006-11-08 11:10:26 EST
Taking ownership.
Comment 2 RHEL Product and Program Management 2006-11-08 11:27:21 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 3 James Laska 2006-11-08 11:37:52 EST
By using the incorrect iface name ... what breaks?
Comment 4 Tim Waugh 2006-11-08 11:42:07 EST
When a USB printer is connected, if we don't have an exact model match in the
database the user is prompted to select one.  What breaks is that after that,
nothing happens.  The user is prompted, but no printer is configured.
Comment 5 James Laska 2006-11-08 11:49:17 EST
Thanks for the details Tim.  After discussing with Desktop QA (rousseau) ...
QE_ACK for beta2
Comment 6 Matthias Clasen 2006-11-08 11:57:09 EST
Steps to reproduce:

1) plug in a usb  printer for which foomatic does not contain an exactly matching 
   driver, in my case it was an Epson Stylus CX7800

2) wait for the driver selection dialog to come up

3) select the best-matching driver and press ok

4) start system-config-printer and expect to see the newly added printer

result: the newly added printer is not there
Comment 7 Matthias Clasen 2006-11-08 11:59:27 EST
Another fix that is needed in that fdi_file is that according to davidz, we need
to add 

<append key="org.freedesktop.Hal.Device.Printer.method_argnames"
type="strlist">make model</append>

to make introspection work for the interface.
Comment 8 Matthias Clasen 2006-11-08 12:29:19 EST
ok, I have it working now. The one thing I was missing was that eggcups _does_
have a patch to use com.redhat.Hal, too. But that just doesn't work. So eggcups
needs to be reverted to use org.freedesktop.Hal too.
Comment 9 Tim Waugh 2006-11-08 12:39:32 EST
Created attachment 140678 [details]
hal-cups-utils-introspection.patch

Introspection patch.
Comment 10 Tim Waugh 2006-11-08 13:33:47 EST
Fixed in package is hal-cups-utils-0.6.2-5.
Comment 11 Tim Waugh 2006-11-08 13:35:09 EST
Also requires desktop-printing-0.19-17.1.el5 for bug #214623.
Comment 13 James Laska 2006-11-08 13:49:02 EST
Okay, pulling in the new desktop-printing package will require additional scrubbing.

That package includes bug#214623 and bug#212763 which are *not* on the
blocker-beta list.  
Comment 14 Matthias Clasen 2006-11-08 14:09:34 EST
2146232 is part of this bug, if you read it

212763 is necessary to have working print feedback on the desktop. Isn't that
covered by the release critera ?

Note You need to log in before you can comment on or make changes to this bug.